<?php
#
# Projeto :  Lucato 
# Data : 20/02/2004
# 
# ROBO Detalhe
#

    //*******************************************************************	
	// INCLUDES nao alterar a ordem dos includes
    //*******************************************************************	
	include "includes/library.php";

	$clientes = request("cliente");
	$impostos = request("imposto");
	
	if (($clientes=="")||($impostos=="")){
		echo utf8_encode("<b>Atenção: Escolha os impostos e os clientes que se enquadram nesse perfil de impostos</b>");
		exit;
	}
	
	foreach ($clientes as $cliente){
		//REMOVER QUALQUER CONFIGURACAO PARA ESSE CLIENTE 
		$sql="DELETE FROM CLIENTE_IMPOSTO WHERE CLIENTEID='$cliente'";
		$EXEC=new QUERY($DATABASE,$sql);
		
		foreach ($impostos as $imposto){
			$sql = 'select GEN_ID(GEN_CLIENTE_IMPOSTO_ID,1) as NEWID from RDB$DATABASE';
			$GEN = new QUERY($DATABASE,$sql);
			$GEN->NEXT();
			$new_id = $GEN->BYNAME("NEWID");
			$GEN->FREE();
			unset($GEN);
			
			
			$sql = "INSERT INTO CLIENTE_IMPOSTO (ID,CLIENTEID,IMPOSTOID) VALUES ($new_id,$cliente,$imposto); ";
			$EXEC = new QUERY($DATABASE,$sql);
			
		}	
	}
	
	echo "OK";
?>

